Solid Edge Framework Type Library
SetRotationFocus Method
‘X’ coordinate of Start Point of Rotation axis.
‘Y’ coordinate of Start Point of Rotation axis.
‘Z’ coordinate of Start Point of Rotation axis.
‘X’ coordinate to define the direction of the axis.
‘Z’ coordinate to define the direction of the axis.
‘Y’ coordinate to define the direction of the axis
Value required to compute graphic handle.
Value required to compute graphic handle.
Value required to compute graphic handle.
Contains various flags to control the interpretation of the other options.
Description
Set view rotation focus parameters.
Syntax
Visual Basic
Public Sub SetRotationFocus( _
   ByVal dPointX As Double, _
   ByVal dPointY As Double, _
   ByVal dPointZ As Double, _
   ByVal dDirectionX As Double, _
   ByVal dDirectionZ As Double, _
   ByVal dDirectionY As Double, _
   ByVal dFront As Double, _
   ByVal dBack As Double, _
   ByVal dRadius As Double, _
   ByVal uOptions As Long _
) 
Parameters
dPointX
‘X’ coordinate of Start Point of Rotation axis.
dPointY
‘Y’ coordinate of Start Point of Rotation axis.
dPointZ
‘Z’ coordinate of Start Point of Rotation axis.
dDirectionX
‘X’ coordinate to define the direction of the axis.
dDirectionZ
‘Z’ coordinate to define the direction of the axis.
dDirectionY
‘Y’ coordinate to define the direction of the axis
dFront
Value required to compute graphic handle.
dBack
Value required to compute graphic handle.
dRadius
Value required to compute graphic handle.
uOptions
Contains various flags to control the interpretation of the other options.
Remarks
Set all rotation focus options and settings where X, Y, and Z define a point in top level model coordinates, NX, NY, and NZ define the direction of the axis in the top level model. It is not recommended for automation users to use this method due to the complexity of internal interpretation of the settings.
Example
Private Sub SetRotationFocus_Click(sender As Object, e As EventArgs) Handles SetRotationFocus.Click
    Dim objApplication As SolidEdgeFramework.Application = Nothing
    Dim objView As SolidEdgeFramework.View = Nothing
    Dim objCurWindow As SolidEdgeFramework.Window
    Dim objX, objY, objZ As Double
    Dim objNX, objNY, objNZ As Double
    Dim objFr, objBk, objRad As Double
    Dim objOpt As Integer

        Try
            objApplication = Marshal.GetActiveObject("SolidEdge.Application")
            objCurWindow = objApplication.ActiveWindow
            'Assigning values to the variables.
            objView = objCurWindow.View
            objX = 0
            objY = 0
            objZ = 0
            objNX = 0
            objNY = -1
            objNZ = 0
            objFr = 1
            objRad = 0.0065
            objOpt = -2147483648
            'Set the Rotation focus parameters.
            objView.SetRotationFocus(objX, objY, objZ, objNX, objNY, objNZ, objFr, objBk, objRad, objOpt)
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try
        
End Sub
See Also

View Object  | View Members  | Solid Edge ST4 - What's New